Bug 177675 - [PATCH] net-mgmt/argus3-clients: Fix MANPAGES=no
Summary: [PATCH] net-mgmt/argus3-clients: Fix MANPAGES=no
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-06 22:40 UTC by Craig Leres
Modified: 2013-05-11 22:40 UTC (History)
1 user (show)

See Also:


Attachments
patch.txt (1010 bytes, text/plain)
2013-04-06 22:40 UTC, Craig Leres
no flags Details
argus3-clients.diff (855 bytes, patch)
2013-04-08 16:39 UTC, pauls
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2013-04-06 22:40:00 UTC
	Turning off the MANPAGES option generates lots of errors
	on install and fatal errors when attempting to create a
	package.

Fix: Wrap remaining MAN1, MAN5 and MAN8 assignments with a
	".if ${PORT_OPTIONS:MMANPAGES}" test; see attached patch.
How-To-Repeat: 	(With MANPAGES disasbled)

	# cd /home/u2/FreeBSD-current/ports/net-mgmt/argus3-clients && make install
	[...]
	===>   Compressing manual pages for argus-clients-sasl-3.0.6.2
	gzip: can't stat: /usr/local/man/man1/rasql.1: No such file or directory
	gzip: can't stat: /usr/local/man/man1/rasqlinsert.1: No such file or directory
	[...]
	# make package
	bob2 194 # make package
	===>  Building package for argus-clients-sasl-3.0.6.2
	tar: man/man1/rasql.1.gz: Cannot stat: No such file or directory
	tar: man/man1/rasqlinsert.1.gz: Cannot stat: No such file or directory
	[...]
	pkg_create: make_dist: tar command failed with code 256
	*** Error code 1
Comment 1 Edwin Groothuis freebsd_committer 2013-04-06 22:40:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-04-06 22:40:07 UTC
Maintainer of net-mgmt/argus3-clients,

Please note that PR ports/177675 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177675

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 pauls 2013-04-08 16:39:48 UTC
Accepted.  The patch didn't apply cleanly for me, so an svn diff is 
attached just in case.  I don't think we need to bump portrevision, however.

-- 
Paul Schmehl (pauls@utdallas.edu)
Senior Information Security Analyst
The University of Texas at Dallas
http://www.utdallas.edu/infosecurity/
Comment 4 Mark Linimon freebsd_committer 2013-04-08 17:36:49 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 dfilter freebsd_committer 2013-05-11 22:38:10 UTC
Author: rakuco
Date: Sat May 11 21:37:57 2013
New Revision: 317919
URL: http://svnweb.freebsd.org/changeset/ports/317919

Log:
  Fix building with MANPAGES=no.
  
  Turning off the MANPAGES option generates lots of errors on install and
  fatal errors when attempting to create a package.
  
  PR:		ports/177675
  Submitted by:	Craig Leres <leres@ee.lbl.gov>
  Approved by:	Paul Schmehl <pauls@utdallas.edu> (maintainer)

Modified:
  head/net-mgmt/argus3-clients/Makefile

Modified: head/net-mgmt/argus3-clients/Makefile
==============================================================================
--- head/net-mgmt/argus3-clients/Makefile	Sat May 11 21:21:37 2013	(r317918)
+++ head/net-mgmt/argus3-clients/Makefile	Sat May 11 21:37:57 2013	(r317919)
@@ -33,7 +33,9 @@ CONFIGURE_ARGS+=	--with-sasl=${LOCALBASE
 .if ${PORT_OPTIONS:MMYSQL}
 USE_MYSQL=	yes
 PLIST_SUB+=	MYSQL=""
+.if ${PORT_OPTIONS:MMANPAGES}
 MAN1+=		rasql.1 rasqlinsert.1 rasqltimeindex.1
+.endif
 .else
 PLIST_SUB+=	MYSQL="@comment "
 .endif
@@ -43,11 +45,13 @@ LIB_DEPENDS+=	GeoIP:${PORTSDIR}/net/GeoI
 CONFIGURE_ARGS+=	--with-GeoIP=${LOCALBASE}
 .endif
 
+.if ${PORT_OPTIONS:MMANPAGES}
 MAN1+=	ra.1 rabins.1 racluster.1 raconvert.1 racount.1 radump.1 raevent.1 \
 	rafilteraddr.1 ragraph.1 ragrep.1 rahisto.1 ralabel.1 ranonymize.1 \
 	rapath.1 rapolicy.1 rasort.1 rasplit.1 rastream.1 rastrip.1
 MAN5=	racluster.5 radium.conf.5 ralabel.conf.5 ranonymize.5 rarc.5
 MAN8=	radium.8
+.endif
 
 do-install:
 .for i in ra rabins racluster raconvert racount radium radump raevent \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Raphael Kubo da Costa freebsd_committer 2013-05-11 22:38:14 UTC
State Changed
From-To: open->closed

Committed. Thanks!